INTIO(4) | Device Drivers Manual (hp300) | INTIO(4)

# NAME

`intio` —
hp300 internal I/O space driver

# SYNOPSIS

`intio0 at mainbus0`

# DESCRIPTION

`intio` is a virtual device corresponding to the hp300 internal I/O space.

Internal I/O space spans the hp300 physical address space, and is mapped permanently in the kernel virtual space at the very early time of the kernel startup procedure.

`intio` driver manages the internal I/O space of hp300.

- Address range management to avoid confliction of address space of which devices probe by touching hardware port is difficult.
- Interrupt vector management.
- bus_space(9) and bus_dma(9) implementation.
- Other utility functions.

`intio` is always required to run the NetBSD kernel.

# SEE ALSO

bus_dma(9), bus_space(9)

September 10, 2001 | NetBSD 9.4